POST
/api/v1/meetings/uploadSubir Reunión
Sube una reunión. Puede proporcionar una mediaUrl en el cuerpo o subir un archivo directamente.
Autenticación
Envía tu API key en el header x-api-key header.
x-api-keybearer
Cuerpo de la petición
obligatorioDatos de la reunión y carga de archivo opcional
PublicApiMeetingUploadRequestDto
namerequiredstring
Name of the meeting for uploading
mediaUrlstring
URL of the media file to upload (alternative to file upload)
startDateTimerequiredstring (date-time)
Scheduled start date and time of the meeting
descriptionstring
Description of the meeting
filestring (binary)
Video file to upload (alternative to mediaUrl)
ownerIdstring
ID of the user who owns this meeting
personIdsarray<string>
Array of person IDs for this meeting participants. Use comma to separate the values
Ejemplo de petición
json
{
"name": "Marketing Team Meeting Recording",
"mediaUrl": "https://example.com/upload/meeting_recording.mp4",
"startDateTime": "2024-07-18T14:00:00.000Z",
"description": "Recording of the marketing team weekly meeting.",
"file": "",
"ownerId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
"personIds": [
"5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
]
}
Respuestas
201
PublicApiPostMeetingUploadResponseDto
statusCoderequirednumber
countrequirednumber
errorrequiredstring
datarequiredPublicApiMeetingUploadResponseDto
Ejemplo de respuesta
json
{
"statusCode": 200,
"count": 0,
"error": null,
"data": {
"meetingId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
}
}
401No autorizado - clave API o token Bearer faltante o inválido